@media screen and (max-height : 414px) {
  .controls .btn {
    font-size: 12px !important
  }
}

#grid {
  border-collapse: collapse;
  font-size: 16px;
  margin: auto;
  width: 100%;
  height: 100%;
}

#grid .column {
  vertical-align: middle;
  position: relative;
}

#grid .game_help span {
  box-shadow: inset 0px 0px 0px 3px #6bcaa4;
}

.column div {
  position: absolute;
  bottom: 2px;
  text-align: right;
  right: 4px;
  color: #000;
  font-size: 11px;
  font-weight: bold;
  background: #6bcaa4;
  padding-left: 2px;
}

.brd_r {
  border-left: solid 3px #000;
}

.brd_b {
  border-top: solid 3px #000;
}

.play span {
  color: #999 !important;
  font-weight: bold !important
}

.over {
  opacity: .5;
  background: #000
}

.over .brd_r, .over .brd_b {
  border-color: #444
}

.game {
  margin: auto;
  background: #fff;
  margin-bottom: 1em
}


#grid {
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  margin: auto;
}

@media screen and (max-width : 414px) {
  .game {
    border: solid 2px #fff;
    border-radius: 5px;
    border-bottom: solid 20px #d0d4d6;
    height: 100% !important;
  }

  .column span {
    font-size: 16px !important;
  }
}

@media screen and (max-height : 550px) {
  .game {
    border: solid 2px #fff;
    border-radius: 5px;
    border-bottom: solid 0px #d0d4d6;
    height: 107% !important;
    margin-top: -10px;
  }

  .column span {
    font-size: 12px !important;
  }

}

@media screen and (max-width : 850px) and (max-height : 414px) {
  .controls {
    position: absolute;
    top: 75px;
    right: 20px
  }

  .numbers {
    right: 0px;
    top: 150px;
    width: 54%;
    left: auto;
  }
}

@media screen and (max-width:768px) {
  .r0 .column {
    height: 35px;
  }

  #grid .column div {
    width: 23.3px;
    height: 25.3px;
    line-height: 28px;
  }

  #grid sup {
    margin-top: -11px;
    margin-left: 2px;
    font-size: 10px;
  }
}

#grid .column {
  vertical-align: middle;
  border: solid 0px #eee;
  padding: 0;
  height: 100%;
  user-select: none;
  float: left;
  display: block;
}

#grid .column span {
  width: 100%;
  height: 100%;
  display: flex;
  font-weight: bold !important;
  text-transform: uppercase;
  font-size: 25px;
  text-align: center;
  align-items: center;
  justify-content: center;
  border-right: solid 1px #000;
  border-bottom: solid 1px #000;
  line-height: 0 !important
}

#grid {
  position: relative;
}

.output {
  overflow: auto;
  margin: 20px auto;
  display: block;
  text-align: center;
}

.output input {
  border: solid 1px #ccc;
  display: inline-block;
  width: 35px;
  padding: 5px 0px;
  text-transform: uppercase;
  font-size: 25px;
  border-radius: 0px;
}

#gameplay.modal {
  height: 220px;
  overflow: visible !important;
}

#gameplay .modal-dialog {
  box-shadow: 0px 0px 100px rgba(0, 0, 0, 0.3);
  border-radius: 0px
}

#gameplay .modal-content {
  border-radius: 0px
}

@media screen and (max-width : 768px) {
  .column {
    vertical-align: middle;
    border-radius: 15%;
    border: solid 0px #ddd;
    padding: 0;
    width: calc(100% / 10 - 2px);
    display: inline-block;

    height: calc(100% - 2px);
    user-select: none;
  }

  #grid .column span {
    font-size: 3vh !important;
    padding-top: 5px
  }
}

@media screen and (max-width : 639px) {

  #grid .column span {
    font-size: 20px !important;
    padding-top: 0px;
  }
}

.tl span {
  background-image: url('../img/left.png') !important;
  background-size: cover !important;
}

.tt span {
  background-image: url('../img/top.png') !important;
  background-size: cover !important;
}

.t2 span {
  background-image: url('../img/all.png') !important;
  background-size: cover !important;
}

.c_0 span::before {
  position: absolute;
  content: '';
  width: 100%;
  height: 100%;
  color: #fff !important;
  align-items: center;
  display: grid;
  background: #fff;
  width: 7px;
  height: 7px;
  border-radius: 100%;
  top: calc(50% - 3.5px);
  left: calc(50% - 3.5px);
}

.c_1 span::before {
  position: absolute;
  content: '';
  width: 100%;
  height: 100%;
  color: #fff !important;
  align-items: center;
  display: grid;
  background: #fff;
  width: 7px;
  height: 7px;
  border-radius: 100%;
  top: 10%;
  left: 10%;
}

.c_1 span::after {
  position: absolute;
  content: '';
  width: 100%;
  height: 100%;
  color: #fff !important;
  align-items: center;
  display: grid;
  background: #fff;
  width: 7px;
  height: 7px;
  border-radius: 100%;
  bottom: 10%;
  right: 10%;
}

#contentGrid form {
  height: 0px;
  overflow: hidden;
}

#grid sup, #grid small {
  color: #333;
  font-size: 15px !important;
  margin-top: 0px !important;
}

#grid small {
  left: 0px;
  float: right;
  font-size: 12px;
  position: absolute;
  top: -25px;
  font-weight: bold;
  text-align: center;
  width: 100%;
}

#grid sup {
  font-weight: bold;
  top: 50%;
  left: -30px;
  text-align: right;
  position: absolute;
  width: 20px;
}

@media screen and (max-width: 639px) {

  #grid sup, #grid small {
    color: #333;
  }

  #grid small {
    top: -25px;
  }

}